<html xmlns="https://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="zh-CN" />
<link href="../style/css/manual-zip.css" rel="stylesheet" media="all" type="text/css" title="Main stylesheet" />
<link href="../style/css/manual-zip-100pc.css" rel="alternate stylesheet" media="all" type="text/css" title="No Sidebar - Default font size" />
<link href="../style/css/manual-print.css" rel="stylesheet" media="print" type="text/css" />
<meta name="description" content="Apache 2.0 开发者文档 － Apache 2.2 中文手册 [金步国作品集]">
<title>Apache 2.0 开发者文档 － Apache 2.2 中文手册 [金步国]</title>
<script> var _hmt = _hmt || []; (function() { var hm = document.createElement("script"); hm.src = "https://hm.baidu.com/hm.js?2468a2c5d539e359902070bcd91865b1"; var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(hm, s); })(); </script>
</head>
<body id="manual-page"><div id="page-header">
<p class="menu"><a href="../mod/index.html">模块索引</a> | <a href="../mod/directives.html">指令索引</a> | <a href="../faq/index.html">常见问题</a> | <a href="../glossary.html">词汇表</a> | <a href="../sitemap.html">站点导航</a></p><p class="apache">Apache HTTP Server 版本2.2</p><img alt="" src="../images/feather.gif" /></div>
<div class="up"><a href="./index.html"><img title="&lt;-" alt="&lt;-" src="../images/left.gif" /></a></div>
<div id="path"><a href="https://www.apache.org/">Apache</a> &gt; <a href="https://httpd.apache.org/">HTTP Server</a> &gt; <a href="https://httpd.apache.org/docs/">文档</a> &gt; <a href="../index.html">版本2.2</a> &gt; <a href="./index.html">开发者文档</a></div>

<div id="translation-info">　　 <a href="../translator_announcement.html#thanks">致谢</a> | 本篇译者：<a href="https://www.jinbuguo.com/">金步国</a>(<a href="https://www.jinbuguo.com/">作品集</a>) | 本页最后更新：2006年10月20日</div>
<div id="page-content"><div id="preamble"><h1>Apache 2.0 开发者文档</h1>


    <p>这里的许多开发者文档是直接从Apache1.3文档升级而来的。目前尚有不少文档未完成升级，请忍耐一下。欢迎指出这些文档中的差异和错误，并将邮件发送至<a href="https://httpd.apache.org/lists.html#http-dev">dev@httpd.apache.org</a>邮件列表。</p>
</div>
	<div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="section">
<h2><a name="topics" id="topics">主题</a></h2>
    <ul>
<li><a href="API.html">Apache1.3 API 备忘录</a></li>
<li><a href="hooks.html">Apache2.0中的Hook函数</a></li>
<li><a href="request.html">Apache2.0对请求的处理</a></li>
<li><a href="filters.html">Apache2.0中处理器的运作</a></li>
<li><a href="modules.html">将模块从Apache1.3转化为Apache2.0</a></li>
<li><a href="debugging.html">APR中内存分配的调试</a></li>
<li><a href="documenting.html">Apache2.0文档制作</a></li>
<li><a href="thread_safety.html">Apache2.0线程安全问题</a></li>
    </ul>
</div><div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="section">
<h2><a name="external" id="external">外部资源</a></h2>
    <ul>
      <li>Ian Holsman提供的工具
      <ul>
        <li><a href="http://lxr.webperf.org/">Apache 2 cross reference</a></li>
        <li><a href="http://docx.webperf.org/">Autogenerated Apache 2 code documentation</a></li>
      </ul></li>

      <li>Kevin O'Donnell提供的模块开发指南
      <ul>
        <li><a href="http://threebit.net/tutorials/apache2_modules/tut1/tutorial1.html">Integrating a module into the Apache build system</a></li>
        <li><a href="http://threebit.net/tutorials/apache2_modules/tut2/tutorial2.html">Handling configuration directives</a></li>
      </ul></li>

      <li><a href="http://www.onlamp.com/pub/ct/38">Ryan Bloom提供的一些Apache模块开发注意事项</a></li>

      <li><a href="http://www.apachetutor.org/">apachetutor</a>包含如下开发者文档：
      <ul>
        <li><a href="http://www.apachetutor.org/dev/request">Request Processing in Apache</a></li>
        <li><a href="http://www.apachetutor.org/dev/config">Configuration for Modules</a></li>
        <li><a href="http://www.apachetutor.org/dev/pools">Resource Management in Apache</a></li>
        <li><a href="http://www.apachetutor.org/dev/reslist">Connection Pooling in Apache</a></li>
        <li><a href="http://www.apachetutor.org/dev/brigades">Introduction to Buckets and Brigades</a></li>
      </ul></li>
    </ul>
</div></div>
<div id="footer">
<p class="apache">本文允许自由的转载、引用、再分发，但必须保留译者署名并注明出处；详见：<a href="../translator_announcement.html#announcement">版权声明</a>。</p>
<p class="menu"><a href="../mod/index.html">模块索引</a> | <a href="../mod/directives.html">指令索引</a> | <a href="../faq/index.html">常见问题</a> | <a href="../glossary.html">词汇表</a> | <a href="../sitemap.html">站点导航</a></p></div>
</body></html>